---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: ob-server
  namespace: observe
  labels:
    app.kubernetes.io/name: ob-server
spec:
  selector:
    matchLabels:
      app.kubernetes.io/name: ob-server
  replicas: 1
  template:
    metadata:
      labels:
        app.kubernetes.io/name: ob-server
    spec:
      containers:
        - name: nginx
          image: reg.cestong.com.cn/cecf/observe-server 
          imagePullPolicy: Always
          ports:
            - name: web
              containerPort: 8000
              protocol: TCP
          securityContext:
            allowPrivilegeEscalation: false
              #runAsGroup: ''
          env:
            - name: TZ
              value: "Asia/Shanghai"
          volumeMounts:
          - name: cm-settings
            mountPath: /app/settings.yml
            subPath: settings.yaml
      volumes:
      - name: cm-settings
        configMap:
          name: ob-server-settings
